import { jsx } from "react/jsx-runtime";
import { TokenRWN as TokenRWN$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenRWN = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "RWN", "data-name": "TokenRWN", ...props, children: /* @__PURE__ */ jsx(TokenRWN$1, { variant }) });
  }
);
TokenRWN.displayName = "TokenRWN";
Object.assign(TokenRWN, { isGdsIcon: true });
export {
  TokenRWN
};
